Subject: Re: [Uri-review] Review request: widget URI scheme

From: Robin Berjon <[email-masked]>
Date: Thu, 15 Apr 2010 14:37:27 +0200

Hi Julian, all,

very sorry for the long delay in replying, I was unfortunately caught up in other things and am now catching up.

On Feb 26, 2010, at 13:56 , Julian Reschke wrote:
> A few things that I stumbled upon on a quick read:
> 
> - The registration does not include a reference to the spec that actually defines the URI scheme

Duh. Talk about forgetting the obvious! It's now there.

> - Neither the registration nor the spec actually define the syntax (I couldn't see an ABNF...). You probably can re-use the grammar in RFC 3986, but you really should state that.

I may be mistaken but my understanding from RFC4395 leads me to believe that reusing the generic syntax (as indicated) is a good thing.

> - It appears that the spec tries to define things in terms of IRIs; my understanding is that what you need to define are URIs (plain ASCII, as per RFC 3986), and then optionally include additional information about how to map from/to IRIs.

I tried to look for examples of this but failed, which makes me wonder if I'm misunderstanding the request. Would you happen to have a pointer handy?

Thanks a lot for your comments!

-- 
Robin Berjon - http://berjon.com/

---

From: Julian Reschke <[email-masked]>
Date: Thu, 15 Apr 2010 14:52:57 +0200

On 15.04.2010 14:37, Robin Berjon wrote:
> ...
> ...

Yes, but you still want to state how the generic syntax applies to your 
particular scheme. The easiest thing to do that probably would be to 
repeat the ABNF, and then have individial spec sections explain the 
semantics of each component.

> ...

Just define the widget *URI* syntax in terms of RFC 3986 (URI), not RFC 
3987 (IRI).

Then, state how to map strings that contain non-URI characters to URI 
syntax (such as UTF-8-encode-then-percent-escape).

(This is something that might change when IRIbis is done, but as far as 
I understand, this is how it works right now).

Best regards, Julian

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 15 Apr 2010 09:44:09 -0600

On 4/15/10 6:52 AM, Julian Reschke wrote:
>>> - It appears that the spec tries to define things in terms of IRIs;
>>> my understanding is that what you need to define are URIs (plain
>>> ASCII, as per RFC 3986), and then optionally include additional
>>> information about how to map from/to IRIs.
>>
>> I tried to look for examples of this but failed, which makes me wonder
>> if I'm misunderstanding the request. Would you happen to have a
>> pointer handy?
>> ...
> 

That's my understanding, too. At least, that's what I did in RFC 5122.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/